import LxTable, { Table } from './packages/table/index.js'
import LxForm from './packages/form'
import LxMenu from './packages/menu'
import LxBreadcrumb from './packages/breadcrumb'
import LxCard from './packages/card'
import LxWrap from './packages/wrap'
import LxLayout from './packages/layout'

// import LxNotifyProgress from './dev-packages/notify-progress'
// import LxFilterTable from './dev-packages/filter-table'

const components = {
  LxTable,
  LxForm,
  LxMenu,
  LxBreadcrumb,
  LxCard,
  LxWrap,
  LxLayout,
  // LxNotifyProgress,
  // LxFilterTable
}

export {
  Table,
  LxTable,
  LxForm,
  LxMenu,
  LxBreadcrumb,
  LxCard,
  LxWrap,
  LxLayout,
  // LxNotifyProgress,
  // LxFilterTable
}

export function install (Vue) {
  for (let key in components) {
    Vue.component(components[key].name, components[key])
  }
}
