import { Col, Button, ButtonGroup } from 'element-ui';
export function createSearchBtn (h) {

  const buttonsVN = [
    h(Button, {
      props: {
        type: 'primary'
      },
      on: {
        click: () => {
          if (this.valid) {
            this.validate((valid) => {
              this.$emit('on-submit', this.form, valid)
            })
            return
          }
          this.$emit('on-submit', this.form, true)
        }
      }
    }, this.submitBtnText),
    h(Button, {
      on: {
        click: () => {
          this.reset()
          this.$emit('on-reset', this.form)
        }
      }
    }, this.resetBtnText)
    // h(Button, {
    //   on: {
    //     click: () => {
    //       this.clear()
    //       this.$emit('on-clear', this.form)
    //     }
    //   }
    // }, this.clearBtnText)
  ]

  const buttonGroupVN = h(ButtonGroup, buttonsVN)

  return h(Col, null, [buttonGroupVN])
}
