import { getValue, handlerMoment } from '../../../utils'

export function handlerDate (h, item) {
  return createDateVN(h, item, 'YYYY-MM-DD')
}
export function handlerDateTime (h, item) {
  return createDateVN(h, item, 'YYYY-MM-DD HH:mm:ss')
}

export function createDateVN (h, item, _defaultFormat) {
  const { filed, format } = item

  return (e) => {
    const value = getValue(e.row, filed)
    if (value) {
      const text = handlerMoment(value).format(format || _defaultFormat)
      return h('span', null, text)
    } else {
      return ''
    }
  }
}
