/**
 * 添加注释模块
 * */
export function handlerTips(h, item, fm) {
  const { tips } = item
  let tipsVN = null;
  let tipsContentVN = null;

  if (typeof tips === 'string' || typeof tips === 'number') {
    tipsContentVN = h('span', {
      class: ['lx__form-text']
    }, tips)
  }
  if (typeof tips.render === 'function') {
    tipsContentVN = tips.render(h, fm.form)
  }

  if (tips.text) {
    tipsContentVN = h('span', {
      style: {
        fontSize: (0.9 + 'em'),
        fontWeight: 500,
        color: '#909399',
        ...tips.style
      }
    }, tips.text)
  }

  tipsVN = h('div', {
    class: ['lx__form-tips']
  }, [tipsContentVN])

  return tipsVN
}
