import { handlerEnum } from "./components/enum";
import {handlerDate, handlerDateTime} from "./components/date";
import {handlerImage} from "./components/image";
import {handlerThousandsTD, handlerPercentage, handlerPerMill} from "./components/handler-string";


export const components = {
  'enum': handlerEnum,
  'date': handlerDate,
  'dateTime': handlerDateTime,
  'image': handlerImage,
  'thousands': handlerThousandsTD,
  'percentage': handlerPercentage,
  'perMill': handlerPerMill
}

export function getPaginationMock () {
  return {
    small: false,
    background: true,
    pageSize: 10,
    total: 0,
    pageCount: 0,
    paperCount: 7,
    currentPage: 1,
    layout: 'prev, pager, next, jumper, ->, total',
    pageSizes: [10, 20, 30, 40, 50, 100],
    popperClass: '',
    pervText: '',
    nextText: '',
    disable: false,
    hideOnSinglePage: false
  }
}
